package body MSHTML.IHTMLAreaElement2_Object is

   procedure Put_shape
     (This : IHTMLAreaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAreaElement2_Put_shape,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_shape;

   function Get_shape
     (This : IHTMLAreaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAreaElement2_Get_shape);
   end Get_shape;

   procedure Put_coords
     (This : IHTMLAreaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAreaElement2_Put_coords,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_coords;

   function Get_coords
     (This : IHTMLAreaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAreaElement2_Get_coords);
   end Get_coords;

   procedure Put_href
     (This : IHTMLAreaElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAreaElement2_Put_href,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_href;

   function Get_href
     (This : IHTMLAreaElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAreaElement2_Get_href);
   end Get_href;

end MSHTML.IHTMLAreaElement2_Object;

